SSL_DUP_CA_LIST(3)

NAME
SSL_dup_CA_list - deep copy of a stack of X.509 Name objects

SYNOPSIS
libssl libcrypto
#include <openssl/ssl.h>
STACK_OF(X509_NAME) *
SSL_dup_CA_list(const STACK_OF(X509_NAME) *sk);

DESCRIPTION
SSL_dup_CA_list() constructs a new STACK_OF(X509_NAME) object and places copies of all the X509_NAME objects found on sk on it.

RETURN VALUES
SSL_dup_CA_list() returns the new STACK_OF(X509_NAME) or NULL on failure.

SEE ALSO
ssl(3), SSL_CTX_set_client_CA_list(3), SSL_get_client_CA_list(3), SSL_load_client_CA_file(3), X509_NAME_new(3)

HISTORY
SSL_dup_CA_list() first appeared in SSLeay 0.8.0 and has been available since OpenBSD 2.4.